<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:robotics.components="http://www.eclipse.org/papyrus/robotics/components/1" xmlns:robotics.parameters="http://www.eclipse.org/papyrus/robotics/parameters/1" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xsi:schemaLocation="http://www.eclipse.org/papyrus/robotics/components/1 http://www.eclipse.org/papyrus/robotics/1#//components http://www.eclipse.org/papyrus/robotics/parameters/1 http://www.eclipse.org/papyrus/robotics/1#//parameters">
  <uml:Model xmi:id="ID" name="mavros">
    <packageImport xmi:type="uml:PackageImport" xmi:id="_1zcJAVBAEeyolvKeZlZVSw">
      <importedPackage xmi:type="uml:Model" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#_0"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_1zcJAlBAEeyolvKeZlZVSw">
      <importedPackage xmi:type="uml:Model" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_T7frkG-0EeiX6ta975XXMg"/>
    </packageImport>
    <packagedElement xmi:type="uml:Class" xmi:id="ID_param" name="param">
      <ownedAttribute xmi:type="uml:Port" xmi:id="ID_param_mavros/param/event" name="mavros/param/event" type="_16a6wVBAEeyolvKeZlZVSw" aggregation="composite"/>
      <ownedAttribute xmi:type="uml:Port" xmi:id="ID_param_mavros/param/pull" name="mavros/param/pull" type="_16dXAVBAEeyolvKeZlZVSw" aggregation="composite"/>
      <ownedAttribute xmi:type="uml:Port" xmi:id="ID_param_mavros/param/set" name="mavros/param/set" type="_16gaUVBAEeyolvKeZlZVSw" aggregation="composite"/>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_1zcJBFBAEeyolvKeZlZVSw"/>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_16a6wVBAEeyolvKeZlZVSw">
        <interfaceRealization xmi:type="uml:InterfaceRealization" xmi:id="_16cI4VBAEeyolvKeZlZVSw" client="_16a6wVBAEeyolvKeZlZVSw">
          <supplier xmi:type="uml:Interface" href="pathmap://ROS2_LIB_EXTRA/services/mavros_msgs.servicedef.uml#svcdefs/P_ParamEvent"/>
          <contract xmi:type="uml:Interface" href="pathmap://ROS2_LIB_EXTRA/services/mavros_msgs.servicedef.uml#svcdefs/P_ParamEvent"/>
        </interfaceRealization>
      </nestedClassifier>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_16dXAVBAEeyolvKeZlZVSw">
        <interfaceRealization xmi:type="uml:InterfaceRealization" xmi:id="_16elIVBAEeyolvKeZlZVSw" client="_16dXAVBAEeyolvKeZlZVSw">
          <supplier xmi:type="uml:Interface" href="pathmap://ROS2_LIB_EXTRA/services/mavros_msgs.servicedef.uml#svcdefs/Q_ParamPull"/>
          <contract xmi:type="uml:Interface" href="pathmap://ROS2_LIB_EXTRA/services/mavros_msgs.servicedef.uml#svcdefs/Q_ParamPull"/>
        </interfaceRealization>
      </nestedClassifier>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_16gaUVBAEeyolvKeZlZVSw">
        <interfaceRealization xmi:type="uml:InterfaceRealization" xmi:id="_16hocVBAEeyolvKeZlZVSw" client="_16gaUVBAEeyolvKeZlZVSw">
          <supplier xmi:type="uml:Interface" href="pathmap://ROS2_LIB_EXTRA/services/mavros_msgs.servicedef.uml#svcdefs/Q_ParamSetV2"/>
          <contract xmi:type="uml:Interface" href="pathmap://ROS2_LIB_EXTRA/services/mavros_msgs.servicedef.uml#svcdefs/Q_ParamSetV2"/>
        </interfaceRealization>
      </nestedClassifier>
    </packagedElement>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1zcJBVBAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1zcJBlBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/bpc/1#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_BPC_PROFILES/bpc.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1zcJB1BAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1zcJCFBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1zcJCVBAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1zcJClBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//components"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_EZ1TgJZ2Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1zcJC1BAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1zcJDFBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commpattern"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_8Z6x8Je6EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1zcJDVBAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1zcJDlBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//deployment"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_tu6OsJe9EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1zcJD1BAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1zcJEFBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//services"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SlbOAJe_EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1zcJEVBAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1zcJElBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commobject"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_bz5AcPCaEeee6ab5J_C5Dg"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1zcJE1BAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1zcJFFBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//functions"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SV7GwC6LEei0V9-WLHIyvg"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1zcJFVBAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1zcJFlBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//parameters"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_-pU5oDmpEei--ZsfKWaFtw"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1zcJF1BAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1zcJGFBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//generics"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_eFhjMEnvEeien6eLHpkAxA"/>
    </profileApplication>
  </uml:Model>
  <robotics.components:ComponentDefinitionModel xmi:id="_1zcJGVBAEeyolvKeZlZVSw" base_Package="ID" external="true"/>
  <robotics.components:ComponentDefinition xmi:id="_1zcJGlBAEeyolvKeZlZVSw" base_Class="ID_param" isLifecycle="false"/>
  <robotics.parameters:Parameter xmi:id="_1zcJG1BAEeyolvKeZlZVSw" base_Class="_1zcJBFBAEeyolvKeZlZVSw"/>
  <robotics.components:ComponentPort xmi:id="_16a6wFBAEeyolvKeZlZVSw" base_Port="ID_param_mavros/param/event"/>
  <robotics.components:ComponentService xmi:id="_16cI4FBAEeyolvKeZlZVSw" base_Class="_16a6wVBAEeyolvKeZlZVSw"/>
  <robotics.components:ComponentPort xmi:id="_16dXAFBAEeyolvKeZlZVSw" base_Port="ID_param_mavros/param/pull"/>
  <robotics.components:ComponentService xmi:id="_16elIFBAEeyolvKeZlZVSw" base_Class="_16dXAVBAEeyolvKeZlZVSw"/>
  <robotics.components:ComponentPort xmi:id="_16gaUFBAEeyolvKeZlZVSw" base_Port="ID_param_mavros/param/set"/>
  <robotics.components:ComponentService xmi:id="_16hocFBAEeyolvKeZlZVSw" base_Class="_16gaUVBAEeyolvKeZlZVSw"/>
</xmi:XMI>
